using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using System.Windows.Threading;
using System.Diagnostics;
using System.Linq;

namespace RadGridView_WPF_AR_4
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {
        
        }

        private void Button2_Click(object sender, RoutedEventArgs e)
        {

        }

        private void clubsGrid_RowValidating_1(object sender, GridViewRowValidatingEventArgs e)
        {
            FrameworkElement fe = FocusManager.GetFocusedElement(FocusManager.GetFocusScope(e.Row.GridViewDataControl)) as FrameworkElement;
            GridViewRow focusedRow = fe.ParentOfType<GridViewRow>();
            if (focusedRow != null
              && !object.Equals(e.Row.DataContext, focusedRow.DataContext)
              && object.Equals(e.Row.GridViewDataControl, focusedRow.GridViewDataControl))
            {
                MessageBox.Show(string.Format("RowValidating is fired due to click on another row!"));
            }
        }
    }

}
